Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.binary
Class StructParser.PrimitiveSpecifier

    java.lang.Object
      org.monte.media.binary.StructParser.PrimitiveSpecifier

Enclosing class:
  StructParser

    protected static class StructParser.PrimitiveSpecifier

extends java.lang.Object

PrimitiveSpecifier expression.

     PrimitiveSpecifier ::= "uint" n | "ubyte" | "byte" | "short" | "ushort" |
                             | "int" | "long" | "float" | "double" | "extended"
                             | "char" | "charbyte" | "cstring" | "utf8" | "pstring"
                             | "pstring32"
                             | "utf16le" |"magic" | "mactimestamp"
                             | "bcd2" | "bcd4"

Field Summary
`static int` | `ATARI_COLOR`
`static int` | `BCD2`
`static int` | `BCD4`
`static int` | `BYTE`
`static int` | `CHAR`
`static int` | `CHARBYTE`
`static int` | `CSTRING`
`static int` | `DOUBLE`
`static int` | `EXTENDED`
`static int` | `FIXED_16D16`
`static int` | `FIXED_2D30`
`static int` | `FIXED_8D8`
`static int` | `FLOAT`
`static int` | `INT`
`static int` | `INT9`
`static int` | `INTLE`
`static int` | `LONG`
`static int` | `LONGLE`
`static int` | `MAC_TIMESTAMP`
`static int` | `MAGIC`
`static int` | `PSTRING`
`static int` | `PSTRING32`
`static int` | `SHORT`
`static int` | `SHORTLE`
`int` | `type`
`java.lang.String` | `typedef`
`static int` | `TYPEDEF_TYPE`
`static int` | `UBYTE`
`static int` | `UINT`
`static int` | `UINT1`
`static int` | `UINT12`
`static int` | `UINT16`
`static int` | `UINT2`
`static int` | `UINT3`
`static int` | `UINT4`
`static int` | `UINT5`
`static int` | `UINT8`
`static int` | `UINT9`
`static int` | `UINTLE`
`static int` | `USHORT`
`static int` | `USHORTLE`
`static int` | `UTF16LE`
`static int` | `UTF8`

Constructor Summary
`StructParser.PrimitiveSpecifier(StreamPosTokenizer scanner)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BYTE

    public static final int BYTE

See Also:
  Constant Field Values

### UBYTE

    public static final int UBYTE

See Also:
  Constant Field Values

### SHORT

    public static final int SHORT

See Also:
  Constant Field Values

### USHORT

    public static final int USHORT

See Also:
  Constant Field Values

### INT

    public static final int INT

See Also:
  Constant Field Values

### UINT

    public static final int UINT

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### EXTENDED

    public static final int EXTENDED

See Also:
  Constant Field Values

### CHARBYTE

    public static final int CHARBYTE

See Also:
  Constant Field Values

### CHAR

    public static final int CHAR

See Also:
  Constant Field Values

### CSTRING

    public static final int CSTRING

See Also:
  Constant Field Values

### PSTRING

    public static final int PSTRING

See Also:
  Constant Field Values

### PSTRING32

    public static final int PSTRING32

See Also:
  Constant Field Values

### UTF8

    public static final int UTF8

See Also:
  Constant Field Values

### UTF16LE

    public static final int UTF16LE

See Also:
  Constant Field Values

### MAGIC

    public static final int MAGIC

See Also:
  Constant Field Values

### MAC_TIMESTAMP

    public static final int MAC_TIMESTAMP

See Also:
  Constant Field Values

### TYPEDEF_TYPE

    public static final int TYPEDEF_TYPE

See Also:
  Constant Field Values

### SHORTLE

    public static final int SHORTLE

See Also:
  Constant Field Values

### USHORTLE

    public static final int USHORTLE

See Also:
  Constant Field Values

### INTLE

    public static final int INTLE

See Also:
  Constant Field Values

### UINTLE

    public static final int UINTLE

See Also:
  Constant Field Values

### LONGLE

    public static final int LONGLE

See Also:
  Constant Field Values

### BCD2

    public static final int BCD2

See Also:
  Constant Field Values

### BCD4

    public static final int BCD4

See Also:
  Constant Field Values

### FIXED_16D16

    public static final int FIXED_16D16

See Also:
  Constant Field Values

### FIXED_2D30

    public static final int FIXED_2D30

See Also:
  Constant Field Values

### FIXED_8D8

    public static final int FIXED_8D8

See Also:
  Constant Field Values

### UINT1

    public static final int UINT1

See Also:
  Constant Field Values

### UINT2

    public static final int UINT2

See Also:
  Constant Field Values

### UINT3

    public static final int UINT3

See Also:
  Constant Field Values

### UINT4

    public static final int UINT4

See Also:
  Constant Field Values

### UINT5

    public static final int UINT5

See Also:
  Constant Field Values

### UINT9

    public static final int UINT9

See Also:
  Constant Field Values

### UINT8

    public static final int UINT8

See Also:
  Constant Field Values

### UINT12

    public static final int UINT12

See Also:
  Constant Field Values

### UINT16

    public static final int UINT16

See Also:
  Constant Field Values

### INT9

    public static final int INT9

See Also:
  Constant Field Values

### ATARI_COLOR

    public static final int ATARI_COLOR

See Also:
  Constant Field Values

### type

    public int type

### typedef

    public java.lang.String typedef

Constructor Detail

### StructParser.PrimitiveSpecifier

    public StructParser.PrimitiveSpecifier(StreamPosTokenizer scanner)
                                    throws java.io.IOException,
                                           ParseException

Throws:
  `java.io.IOException`
  `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD